Index: plugins/themeEditor/class.themeEditor.php
===================================================================
--- plugins/themeEditor/class.themeEditor.php	(revision 2663)
+++ plugins/themeEditor/class.themeEditor.php	(revision 2566)
@@ -16,8 +16,9 @@
 	protected $core;
 
+	protected $default_theme;
 	protected $user_theme;
 	protected $parent_theme;
-	protected $tplset_theme;
-
+
+	protected $default_tpl = array();
 	public $tpl = array();
 	public $css = array();
@@ -30,5 +31,4 @@
 		$this->default_theme = path::real($this->core->blog->themes_path.'/default');
 		$this->user_theme = path::real($this->core->blog->themes_path.'/'.$this->core->blog->settings->system->theme);
-		$this->tplset_theme = DC_ROOT.'/inc/public/default-templates/'.DC_DEFAULT_TPLSET;
 		if (null !== $this->core->themes) {
 			$parent_theme = $this->core->themes->moduleInfo($this->core->blog->settings->system->theme,'parent');
@@ -36,8 +36,4 @@
 				$this->parent_theme = path::real($this->core->blog->themes_path.'/'.$parent_theme);
 			}
-			$tplset = $this->core->themes->moduleInfo($this->core->blog->settings->system->theme,'tplset');
-			if ($tplset) {
-				$this->tplset_theme = DC_ROOT.'/inc/public/default-templates/'.$tplset;
-			}
 		}
 		$this->findTemplates();
@@ -47,5 +43,5 @@
 	}
 
-	public function filesList($type,$item='%1$s',$split=true)
+	public function filesList($type,$item='%1$s')
 	{
 		$files = $this->getFilesFromType($type);
@@ -56,36 +52,14 @@
 
 		$list = '';
-		if ($split) {
-			$list_theme = '';	// Files from current theme
-			$list_parent = '';	// Files from parent of current theme
-			$list_tpl = '';		// Files from template set used by current theme
-			foreach ($files as $k => $v)
-			{
-				if (strpos($v,$this->user_theme) === 0) {
-					$li = sprintf('<li class="default-file">%s</li>',$item);
-					$list_theme .= sprintf($li,$k,html::escapeHTML($k));
-				} elseif ($this->parent_theme && strpos($v,$this->parent_theme) === 0) {
-					$li = sprintf('<li class="parent-file">%s</li>',$item);
-					$list_parent .= sprintf($li,$k,html::escapeHTML($k));
-				} else {
-					$li = sprintf('<li>%s</li>',$item);
-					$list_tpl .= sprintf($li,$k,html::escapeHTML($k));
-				}
-			}
-			$list .= ($list_theme != '' ? sprintf('<li class="group-file">'.__('From theme:').'<ul>%s</ul></li>',$list_theme) : '');
-			$list .= ($list_parent != '' ? sprintf('<li class="group-file">'.__('From parent:').'<ul>%s</ul></li>',$list_parent) : '');
-			$list .= ($list_tpl != '' ? sprintf('<li class="group-file">'.__('From template set:').'<ul>%s</ul></li>',$list_tpl) : '');
-		} else {
-			foreach ($files as $k => $v)
-			{
-				if (strpos($v,$this->user_theme) === 0) {
-					$li = sprintf('<li class="default-file">%s</li>',$item);
-				} elseif ($this->parent_theme && strpos($v,$this->parent_theme) === 0) {
-					$li = sprintf('<li class="parent-file">%s</li>',$item);
-				} else {
-					$li = sprintf('<li>%s</li>',$item);
-				}
-				$list .= sprintf($li,$k,html::escapeHTML($k));
-			}
+		foreach ($files as $k => $v)
+		{
+			if (strpos($v,$this->user_theme) === 0) {
+				$li = sprintf('<li class="default-file">%s</li>',$item);
+			} elseif ($this->parent_theme && strpos($v,$this->parent_theme) === 0) {
+				$li = sprintf('<li class="parent-file">%s</li>',$item);
+			} else {
+				$li = sprintf('<li>%s</li>',$item);
+			}
+			$list .= sprintf($li,$k,html::escapeHTML($k));
 		}
 
@@ -155,55 +129,4 @@
 		{
 			throw new Exception(sprintf(__('Unable to write file %s. Please check your theme files and folders permissions.'),$f));
-		}
-	}
-
-	public function deletableFile($type,$f)
-	{
-		if ($type != 'tpl') {
-			// Only tpl files may be deleted
-			return false;
-		}
-
-		$files = $this->getFilesFromType($type);
-		if (isset($files[$f])) {
-			$dest = $this->getDestinationFile($type,$f);
-			if ($dest) {
-				if (file_exists($dest) && is_writable($dest)) {
-					// Is there a model (parent theme or template set) ?
-					if (isset($this->tpl_model[$f])) {
-						return true;
-					}
-				}
-			}
-		}
-		return false;
-	}
-
-	public function deleteFile($type,$f)
-	{
-		if ($type != 'tpl') {
-			// Only tpl files may be deleted
-			return;
-		}
-
-		$files = $this->getFilesFromType($type);
-		if (!isset($files[$f])) {
-			throw new Exception(__('File does not exist.'));
-		}
-
-		try
-		{
-			$dest = $this->getDestinationFile($type,$f);
-			if ($dest) {
-				// File exists and may be deleted
-				unlink($dest);
-
-				// Updating template files list
-				$this->findTemplates();
-			}
-		}
-		catch (Exception $e)
-		{
-			throw new Exception(sprintf(__('Unable to delete file %s. Please check your theme files and folders permissions.'),$f));
 		}
 	}
@@ -284,11 +207,13 @@
 	protected function findTemplates()
 	{
+		# First, we look in template paths
+		$this->default_tpl = $this->getFilesInDir($this->default_theme.'/tpl');
+
 		$this->tpl = array_merge(
-			$this->getFilesInDir($this->tplset_theme),
-			$this->getFilesInDir($this->parent_theme.'/tpl')
+			$this->default_tpl,
+			$this->getFilesInDir($this->parent_theme.'/tpl'),
+			$this->getFilesInDir($this->user_theme.'/tpl')
 			);
-		$this->tpl_model = $this->tpl;
-
-		$this->tpl = array_merge($this->tpl,$this->getFilesInDir($this->user_theme.'/tpl'));
+		$this->tpl = array_merge($this->getFilesInDir(DC_ROOT.'/inc/public/default-templates'),$this->tpl);
 
 		# Then we look in 'default-templates' plugins directory
@@ -296,5 +221,4 @@
 		foreach ($plugins as $p) {
 			$this->tpl = array_merge($this->getFilesInDir($p['root'].'/default-templates'),$this->tpl);
-			$this->tpl_model = array_merge($this->getFilesInDir($p['root'].'/default-templates'),$this->tpl_model);
 		}
 
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 2663)
+++ plugins/themeEditor/index.php	(revision 2566)
@@ -52,12 +52,4 @@
 		$o->writeFile($file['type'],$file['f'],$file['c']);
 	}
-
-	# Delete file
-	if (!empty($_POST['delete']))
-	{
-		$o->deleteFile($file['type'],$file['f']);
-		dcPage::addSuccessNotice(__('The file has been deleted.'));
-		http::redirect($p_url.'&'.$file['type'].'='.$file['f']);
-	}
 }
 catch (Exception $e)
@@ -76,5 +68,4 @@
   <?php echo dcPage::jsVar('dotclear.msg.document_saved',__("Document saved")); ?>
   <?php echo dcPage::jsVar('dotclear.msg.error_occurred',__("An error occurred:")); ?>
-  <?php echo dcPage::jsVar('dotclear.msg.confirm_reset_file',__("Are you sure you want to reset this file?")); ?>
   <?php echo dcPage::jsVar('dotclear.colorsyntax',$user_ui_colorsyntax); ?>
   //]]>
@@ -131,5 +122,4 @@
 		echo
 		'<p><input type="submit" name="write" value="'.__('Save').' (s)" accesskey="s" /> '.
-		($o->deletableFile($file['type'],$file['f']) ? '<input type="submit" name="delete" class="delete" value="'.__('Reset').'" />' : '').
 		$core->formNonce().
 		($file['type'] ? form::hidden(array($file['type']),$file['f']) : '').
Index: plugins/themeEditor/script.js
===================================================================
--- plugins/themeEditor/script.js	(revision 2663)
+++ plugins/themeEditor/script.js	(revision 2566)
@@ -1,4 +1,3 @@
 $(function() {
-	// Cope with saving
 	var msg = false;
 	$('#file-form input[name="write"]').click(function() {
@@ -32,9 +31,3 @@
 		return false;
 	});
-
-	// Confirm for deleting current file
-	$('#file-form input[name="delete"]').click(function() {
-		return window.confirm(dotclear.msg.confirm_reset_file);
-	});
-
 });
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 2685)
+++ plugins/userPref/index.php	(revision 2566)
@@ -98,14 +98,12 @@
 	//<![CDATA[
 	$(function() {
-		$("#gp_submit,#lp_submit").hide();
-		$('#part-local,#part-global').tabload(function() {
-			$('.multi-part.active select.navigation option:first').attr('selected',true);
-		});		   
+		$("#gp_submit").hide();
+		$("#lp_submit").hide();
 		$("#gp_nav").change(function() {
 			window.location = $("#gp_nav option:selected").val();
-		});
+		})
 		$("#lp_nav").change(function() {
 			window.location = $("#lp_nav option:selected").val();
-		});
+		})
 	});
 	//]]>
@@ -156,5 +154,5 @@
 		'<form action="plugin.php" method="post">'.
 		'<p class="anchor-nav">'.
-		'<label for="lp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('lp_nav',$ws_combo,'','navigation').
+		'<label for="lp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('lp_nav',$ws_combo).
 		' <input type="submit" value="'.__('Ok').'" id="lp_submit" />'.
 		'<input type="hidden" name="p" value="userPref" />'.
@@ -206,5 +204,5 @@
 		'<form action="plugin.php" method="post">'.
 		'<p class="anchor-nav">'.
-		'<label for="gp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('gp_nav',$ws_combo,'','navigation').
+		'<label for="gp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('gp_nav',$ws_combo).
 		' <input type="submit" value="'.__('Ok').'" id="gp_submit" />'.
 		'<input type="hidden" name="p" value="userPref" />'.
Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 2671)
+++ plugins/widgets/_default_widgets.php	(revision 2566)
@@ -116,7 +116,8 @@
 
 $__default_widgets['nav']->append($__widgets->search);
+$__default_widgets['nav']->append($__widgets->navigation);
 $__default_widgets['nav']->append($__widgets->bestof);
 $__default_widgets['nav']->append($__widgets->categories);
-$__default_widgets['custom']->append($__widgets->subscribe);
+$__default_widgets['extra']->append($__widgets->subscribe);
 
 # --BEHAVIOR-- initDefaultWidgets
Index: plugins/widgets/_define.php
===================================================================
--- plugins/widgets/_define.php	(revision 2662)
+++ plugins/widgets/_define.php	(revision 2566)
@@ -16,5 +16,5 @@
 	/* Description*/		"Widgets for your blog sidebars",
 	/* Author */			"Olivier Meunier & Dotclear Team",
-	/* Version */			'3.2',
+	/* Version */			'3.1',
 	array(
 		'permissions' =>	'admin',
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 2668)
+++ plugins/widgets/_widgets_functions.php	(revision 2565)
@@ -26,12 +26,14 @@
 		$value = isset($GLOBALS['_search']) ? html::escapeHTML($GLOBALS['_search']) : '';
 
-		return $w->renderDiv($w->content_only,$w->class,'id="search"',
-			($w->title ? $w->renderTitle('<label for="q">'.html::escapeHTML($w->title).'</label>') : '').
-			'<form action="'.$core->blog->url.'" method="get" role="search">'.
-			'<fieldset>'.
-			'<p><input type="text" size="10" maxlength="255" id="q" name="q" value="'.$value.'" /> '.
-			'<input type="submit" class="submit" value="ok" /></p>'.
-			'</fieldset>'.
-			'</form>');
+		return
+		($w->content_only ? '' : '<div id="search"'.($w->class ? ' class="'.html::escapeHTML($w->class).'"' : '').'>').
+		($w->title ? '<h2><label for="q">'.html::escapeHTML($w->title).'</label></h2>' : '').
+		'<form action="'.$core->blog->url.'" method="get">'.
+		'<fieldset>'.
+		'<p><input type="text" size="10" maxlength="255" id="q" name="q" value="'.$value.'" /> '.
+		'<input type="submit" class="submit" value="ok" /></p>'.
+		'</fieldset>'.
+		'</form>'.
+		($w->content_only ? '' : '</div>');
 	}
 
@@ -46,6 +48,7 @@
 
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
-		'<ul role="navigation">';
+		($w->content_only ? '' : '<div id="topnav"'.($w->class ? ' class="'.html::escapeHTML($w->class).'"' : '').'>').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
+		'<ul>';
 
 		if ($core->url->type != 'default') {
@@ -53,5 +56,5 @@
 			'<li class="topnav-home">'.
 			'<a href="'.$core->blog->url.'">'.__('Home').'</a>'.
-			'</li>';
+			'<span> - </span></li>';
 		}
 
@@ -60,7 +63,8 @@
 		'<a href="'.$core->blog->url.$core->url->getURLFor("archive").'">'.
 		__('Archives').'</a></li>'.
-		'</ul>';
-
-		return $w->renderDiv($w->content_only,$w->class,'id="topnav"',$res);
+		'</ul>'.
+		($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
@@ -80,5 +84,6 @@
 
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '');
+		($w->content_only ? '' : '<div class="categories'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '');
 
 		$ref_level = $level = $rs->level-1;
@@ -113,11 +118,12 @@
 			$res .= str_repeat('</li></ul>',-($ref_level - $level));
 		}
-
-		return $w->renderDiv($w->content_only,'categories '.$w->class,'',$res);
+		$res .= ($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
 	public static function bestof($w)
 	{
-		global $core, $_ctx;
+		global $core;
 
 		if (($w->homeonly == 1 && $core->url->type != 'default') ||
@@ -139,18 +145,15 @@
 
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
+		($w->content_only ? '' : '<div class="selected'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
 
 		while ($rs->fetch()) {
-			$class = '';
-			if ($core->url->type == 'post' && $_ctx->posts instanceof record && $_ctx->posts->post_id == $rs->post_id) {
-				$class = ' class="post-current"';
-			}
-			$res .= ' <li'.$class.'><a href="'.$rs->getURL().'">'.html::escapeHTML($rs->post_title).'</a></li> ';
-		}
-
-		$res .= '</ul>';
-
-		return $w->renderDiv($w->content_only,'selected '.$w->class,'',$res);
+			$res .= ' <li><a href="'.$rs->getURL().'">'.html::escapeHTML($rs->post_title).'</a></li> ';
+		}
+
+		$res .= '</ul>'.($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
@@ -172,5 +175,6 @@
 		$langs = l10n::getISOcodes();
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
+		($w->content_only ? '' : '<div class="langs'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
 
@@ -190,7 +194,7 @@
 		}
 
-		$res .= '</ul>';
-
-		return $w->renderDiv($w->content_only,'langs '.$w->class,'',$res);
+		$res .= '</ul>'.($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
@@ -211,5 +215,6 @@
 
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
+		($w->content_only ? '' : '<div class="syndicate'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
 
@@ -229,7 +234,7 @@
 		}
 
-		$res .= '</ul>';
-
-		return $w->renderDiv($w->content_only,'syndicate '.$w->class,'',$res);
+		$res .= '</ul>'.($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
@@ -259,5 +264,6 @@
 
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
+		($w->content_only ? '' : '<div class="feed'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
 
@@ -283,7 +289,7 @@
 		}
 
-		$res .= '</ul>';
-
-		return $w->renderDiv($w->content_only,'feed '.$w->class,'',$res);
+		$res .= '</ul>'.($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
@@ -297,12 +303,16 @@
 		}
 
-		$res = ($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').$w->text;
-
-		return $w->renderDiv($w->content_only,'text '.$w->class,'',$res);
+		$res =
+		($w->content_only ? '' : '<div class="text'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
+		$w->text.
+		($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
 	public static function lastposts($w)
 	{
-		global $core, $_ctx;
+		global $core;
 
 		if (($w->homeonly == 1 && $core->url->type != 'default') ||
@@ -341,19 +351,16 @@
 
 		$res =
-		($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').
+		($w->content_only ? '' : '<div class="lastposts'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
 
 		while ($rs->fetch()) {
-			$class = '';
-			if ($core->url->type == 'post' && $_ctx->posts instanceof record && $_ctx->posts->post_id == $rs->post_id) {
-				$class = ' class="post-current"';
-			}
-			$res .= '<li'.$class.'><a href="'.$rs->getURL().'">'.
+			$res .= '<li><a href="'.$rs->getURL().'">'.
 			html::escapeHTML($rs->post_title).'</a></li>';
 		}
 
-		$res .= '</ul>';
-
-		return $w->renderDiv($w->content_only,'lastposts '.$w->class,'',$res);
+		$res .= '</ul>'.($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 
@@ -375,5 +382,7 @@
 		}
 
-		$res = ($w->title ? $w->renderTitle(html::escapeHTML($w->title)) : '').'<ul>';
+		$res = ($w->content_only ? '' : '<div class="lastcomments'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
+		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
+		'<ul>';
 
 		while ($rs->fetch())
@@ -387,7 +396,7 @@
 		}
 
-		$res .= '</ul>';
-
-		return $w->renderDiv($w->content_only,'lastcomments '.$w->class,'',$res);
+		$res .= '</ul>'.($w->content_only ? '' : '</div>');
+
+		return $res;
 	}
 }
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 2667)
+++ plugins/widgets/class.widgets.php	(revision 2566)
@@ -185,69 +185,4 @@
 	}
 
-	/* Widget rendering tool
-	--------------------------------------------------- */
-	public function renderDiv($content_only,$class,$attr,$content)
-	{
-		if ($content_only) {
-			return $content;
-		}
-		$ret = '<div class="widget'.($class ? ' '.html::escapeHTML($class) : '').'"'.($attr ? ' '.$attr : '').'>'."\n";
-		$ret .= $content."\n";
-		$ret .= '</div>'."\n";
-
-		return $ret;
-	}
-
-	public function renderTitle($title)
-	{
-		global $core;
-
-		if (!$title) {
-			return '';
-		}
-
-		$wtscheme = $core->themes->moduleInfo($core->blog->settings->system->theme,'widgettitleformat');
-		if (empty($wtscheme)) {
-			$tplset = $core->themes->moduleInfo($core->blog->settings->system->theme,'tplset');
-			if (empty($tplset) || $tplset == DC_DEFAULT_TPLSET) {
-				// Use H2 for mustek based themes
-				$wtscheme = '<h2>%s</h2>';
-			} else {
-				// Use H3 for currywurst based themes
-				$wtscheme = '<h3>%s</h3>';
-			}
-		}
-		$ret = sprintf($wtscheme,$title);
-
-		return $ret;
-	}
-
-	public function renderSubtitle($title,$render=true)
-	{
-		global $core;
-
-		if (!$title && $render) {
-			return '';
-		}
-
-		$wtscheme = $core->themes->moduleInfo($core->blog->settings->system->theme,'widgetsubtitleformat');
-		if (empty($wtscheme)) {
-			$tplset = $core->themes->moduleInfo($core->blog->settings->system->theme,'tplset');
-			if (empty($tplset) || $tplset == DC_DEFAULT_TPLSET) {
-				// Use H2 for mustek based themes
-				$wtscheme = '<h3>%s</h3>';
-			} else {
-				// Use H3 for currywurst based themes
-				$wtscheme = '<h4>%s</h4>';
-			}
-		}
-		if (!$render) {
-			return $wtscheme;
-		}
-
-		$ret = sprintf($wtscheme,$title);
-		return $ret;
-	}
-
 	/* Widget settings
 	--------------------------------------------------- */
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 2702)
+++ plugins/widgets/index.php	(revision 2509)
@@ -218,5 +218,4 @@
 		echo
 			dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-			dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 			dcPage::jsLoad('index.php?pf=widgets/widgets.js');
   ?>
@@ -234,5 +233,4 @@
   //]]>
   </script>
-  <?php echo $core->callBehavior('adminPostEditor');?>
   <?php echo(dcPage::jsConfirmClose('sidebarsWidgets')); ?>
 </head>
@@ -368,5 +366,5 @@
 		$altUp = $i == 0 ? ' alt=""' : ' alt="'.__('Up the widget').'"';
 		$altDown = $i == count($widgets->elements())-1 ? ' alt=""' : ' alt="'.__('Down the widget').'"';
-		
+
 		$iname = 'w['.$pr.']['.$i.']';
 
